zenilib: zenilib/jni/external/freetype2/src/cid/cidriver.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions | Variables
cidriver.c File Reference
`#include <ft2build.h>`
`#include "cidriver.h"`
`#include "cidgload.h"`
`#include <FT_INTERNAL_DEBUG_H>`
`#include "ciderrs.h"`
`#include <FT_SERVICE_POSTSCRIPT_NAME_H>`
`#include <FT_SERVICE_XFREE86_NAME_H>`
`#include <FT_SERVICE_POSTSCRIPT_INFO_H>`
`#include <FT_SERVICE_CID_H>`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_ciddriver

## Functions

static FT_Error | cid_get_cid_from_glyph_index (CID_Face face, FT_UInt glyph_index, FT_UInt *cid)
| cid_get_interface (FT_Module module, const char *cid_interface)
static FT_Error | cid_get_is_cid (CID_Face face, FT_Bool *is_cid)
static const char * | cid_get_postscript_name (CID_Face face)
static FT_Error | cid_get_ros (CID_Face face, const char **registry, const char **ordering, FT_Int *supplement)
static FT_Error | cid_ps_get_font_extra (FT_Face face, PS_FontExtraRec *afont_extra)
static FT_Error | cid_ps_get_font_info (FT_Face face, PS_FontInfoRec *afont_info)

## Variables

static const FT_Service_CIDRec | cid_service_cid_info
static const FT_Service_PsInfoRec | cid_service_ps_info
static const FT_Service_PsFontNameRec | cid_service_ps_name
static const FT_ServiceDescRec | cid_services []
FT_CALLBACK_TABLE_DEF const FT_Driver_ClassRec | t1cid_driver_class

## Macro Definition Documentation

#define FT_COMPONENT trace_ciddriver

Definition at line 39 of file cidriver.c.

## Function Documentation

static FT_Error cid_get_cid_from_glyph_index | ( | CID_Face | face,
|  | FT_UInt | glyph_index,
|  | FT_UInt * | cid
| ) |  |

static

Definition at line 141 of file cidriver.c.

References error, and FT_UNUSED.

cid_get_interface | ( | FT_Module | module,
|  | const char * | cid_interface
| ) |  |

Definition at line 180 of file cidriver.c.

References ft_service_list_lookup(), and FT_UNUSED.

static FT_Error cid_get_is_cid | ( | CID_Face | face,
|  | FT_Bool * | is_cid
| ) |  |

static

Definition at line 126 of file cidriver.c.

References error, and FT_UNUSED.

static const char* cid_get_postscript_name | ( | CID_Face | face | ) |

static

Definition at line 48 of file cidriver.c.

References CID_FaceRec_::cid, and CID_FaceInfoRec_::cid_font_name.

static FT_Error cid_get_ros | ( | CID_Face | face,
|  | const char ** | registry,
|  | const char ** | ordering,
|  | FT_Int * | supplement
| ) |  |

static

Definition at line 104 of file cidriver.c.

References CID_FaceRec_::cid, CID_FaceInfoRec_::ordering, CID_FaceInfoRec_::registry, and CID_FaceInfoRec_::supplement.

static FT_Error cid_ps_get_font_extra | ( | FT_Face | face,
|  | PS_FontExtraRec * | afont_extra
| ) |  |

static

Definition at line 81 of file cidriver.c.

static FT_Error cid_ps_get_font_info | ( | FT_Face | face,
|  | PS_FontInfoRec * | afont_info
| ) |  |

static

Definition at line 72 of file cidriver.c.

## Variable Documentation

const FT_Service_CIDRec cid_service_cid_info

static

Initial value:
=
{
(FT_CID_GetRegistryOrderingSupplementFunc)cid_get_ros,
(FT_CID_GetIsInternallyCIDKeyedFunc) cid_get_is_cid,
(FT_CID_GetCIDFromGlyphIndexFunc) cid_get_cid_from_glyph_index
}
cid_get_cid_from_glyph_index
static FT_Error cid_get_cid_from_glyph_index(CID_Face face, FT_UInt glyph_index, FT_UInt *cid)
Definition: cidriver.c:141
FT_CID_GetIsInternallyCIDKeyedFunc
FT_Error(* FT_CID_GetIsInternallyCIDKeyedFunc)(FT_Face face, FT_Bool *is_cid)
Definition: svcid.h:35
FT_CID_GetCIDFromGlyphIndexFunc
FT_Error(* FT_CID_GetCIDFromGlyphIndexFunc)(FT_Face face, FT_UInt glyph_index, FT_UInt *cid)
Definition: svcid.h:38
cid_get_is_cid
static FT_Error cid_get_is_cid(CID_Face face, FT_Bool *is_cid)
Definition: cidriver.c:126
FT_CID_GetRegistryOrderingSupplementFunc
FT_Error(* FT_CID_GetRegistryOrderingSupplementFunc)(FT_Face face, const char **registry, const char **ordering, FT_Int *supplement)
Definition: svcid.h:30
cid_get_ros
static FT_Error cid_get_ros(CID_Face face, const char **registry, const char **ordering, FT_Int *supplement)
Definition: cidriver.c:104

Definition at line 156 of file cidriver.c.

const FT_Service_PsInfoRec cid_service_ps_info

static

Initial value:
=
{
(PS_GetFontInfoFunc) cid_ps_get_font_info,
(PS_GetFontExtraFunc) cid_ps_get_font_extra,
(PS_HasGlyphNamesFunc) NULL,
(PS_GetFontPrivateFunc)NULL,
(PS_GetFontValueFunc) NULL
}
NULL
#define NULL
Definition: ftobjs.h:61
PS_GetFontValueFunc
FT_Long(* PS_GetFontValueFunc)(FT_Face face, PS_Dict_Keys key, FT_UInt idx, void *value, FT_Long value_len)
Definition: svpsinfo.h:48
PS_HasGlyphNamesFunc
FT_Int(* PS_HasGlyphNamesFunc)(FT_Face face)
Definition: svpsinfo.h:41
PS_GetFontExtraFunc
FT_Error(* PS_GetFontExtraFunc)(FT_Face face, PS_FontExtraRec *afont_extra)
Definition: svpsinfo.h:37
PS_GetFontPrivateFunc
FT_Error(* PS_GetFontPrivateFunc)(FT_Face face, PS_PrivateRec *afont_private)
Definition: svpsinfo.h:44
PS_GetFontInfoFunc
FT_Error(* PS_GetFontInfoFunc)(FT_Face face, PS_FontInfoRec *afont_info)
Definition: svpsinfo.h:33
cid_ps_get_font_info
static FT_Error cid_ps_get_font_info(FT_Face face, PS_FontInfoRec *afont_info)
Definition: cidriver.c:72
cid_ps_get_font_extra
static FT_Error cid_ps_get_font_extra(FT_Face face, PS_FontExtraRec *afont_extra)
Definition: cidriver.c:81

Definition at line 89 of file cidriver.c.

const FT_Service_PsFontNameRec cid_service_ps_name

static

Initial value:
=
{
(FT_PsName_GetFunc) cid_get_postscript_name
}
cid_get_postscript_name
static const char * cid_get_postscript_name(CID_Face face)
Definition: cidriver.c:48
FT_PsName_GetFunc
const char *(* FT_PsName_GetFunc)(FT_Face face)
Definition: svpostnm.h:41

Definition at line 60 of file cidriver.c.

const FT_ServiceDescRec cid_services[]

static

Initial value:
=
{
{ FT_SERVICE_ID_XF86_NAME, FT_XF86_FORMAT_CID },
{ FT_SERVICE_ID_POSTSCRIPT_FONT_NAME, &cid_service_ps_name },
{ FT_SERVICE_ID_POSTSCRIPT_INFO, &cid_service_ps_info },
{ FT_SERVICE_ID_CID, &cid_service_cid_info },
{ NULL, NULL }
}
FT_SERVICE_ID_POSTSCRIPT_INFO
FT_SERVICE_ID_POSTSCRIPT_INFO
Definition: cffdrivr.c:581
NULL
#define NULL
Definition: ftobjs.h:61
FT_XF86_FORMAT_CID
#define FT_XF86_FORMAT_CID
Definition: svxf86nm.h:41
FT_SERVICE_ID_XF86_NAME
#define FT_SERVICE_ID_XF86_NAME
Definition: svxf86nm.h:34
cid_service_cid_info
static const FT_Service_CIDRec cid_service_cid_info
Definition: cidriver.c:156
cid_service_ps_info
static const FT_Service_PsInfoRec cid_service_ps_info
Definition: cidriver.c:89
FT_SERVICE_ID_POSTSCRIPT_FONT_NAME
FT_SERVICE_ID_POSTSCRIPT_FONT_NAME
Definition: cffdrivr.c:581
FT_SERVICE_ID_CID
FT_SERVICE_ID_CID
Definition: cffdrivr.c:581
cid_service_ps_name
static const FT_Service_PsFontNameRec cid_service_ps_name
Definition: cidriver.c:60

Definition at line 169 of file cidriver.c.

FT_CALLBACK_TABLE_DEF const FT_Driver_ClassRec t1cid_driver_class

Definition at line 191 of file cidriver.c.